import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { DateTimeFieldUpdateOperationsInputObjectSchema as DateTimeFieldUpdateOperationsInputObjectSchema } from './DateTimeFieldUpdateOperationsInput.schema';
import { UserUpdateOneRequiredWithoutBackupsNestedInputObjectSchema as UserUpdateOneRequiredWithoutBackupsNestedInputObjectSchema } from './UserUpdateOneRequiredWithoutBackupsNestedInput.schema'

const makeSchema = () => z.object({
  createdAt: z.union([z.coerce.date(), z.lazy(() => DateTimeFieldUpdateOperationsInputObjectSchema)]).optional(),
  user: z.lazy(() => UserUpdateOneRequiredWithoutBackupsNestedInputObjectSchema).optional()
}).strict();
export const DatabaseBackupUpdateInputObjectSchema: z.ZodType<Prisma.DatabaseBackupUpdateInput> = makeSchema() as unknown as z.ZodType<Prisma.DatabaseBackupUpdateInput>;
export const DatabaseBackupUpdateInputObjectZodSchema = makeSchema();
